Subject: Re: bug#1026: `lisp' customization initialization, setting and saving

From: "Allan Mui" <[email-masked]>
Date: Fri, 26 Sep 2008 08:29:30 -0500

I made the code change in `lisp-mode.el' and byte-compiled but the
error persists. Maybe another change was made in the source code
to fix the problem. I can wait until the next binaries release.

In GNU Emacs 22.3.1 (i386-mingw-nt5.1.2600)
 of 2008-09-06 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  locale-coding-system: cp1252
  default-enable-multibyte-characters: t

Major mode: Custom

Minor modes in effect:
  encoded-kbd-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  unify-8859-on-encoding-mode: t
  utf-translate-cjk-mode: t
  auto-compression-mode: t
  line-number-mode: t

Recent input:
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <menu-bar> <options> <customize> 
<customize-group> l i s p <return> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <menu-bar> <help-menu> <se
nd-emacs-bug-report>

Recent messages:
Loading easymenu...done
Loading cus-edit...done
Creating customization items...
Loading cl-indent...done
Creating group...
Creating group members... 25%
widget-apply: Symbol's function definition is void: nil
Loading emacsbug...
Loading regexp-opt...done
Loading emacsbug...done

--
Allan Mui

> [Original Message]
> From: Glenn Morris <[email-masked]>
> To: <[email-masked]>
> Cc: <[email-masked]>
> Date: 9/25/2008 3:17:29 PM
> Subject: Re: bug#1026: `lisp' customization  initialization, setting and
saving
>
> forcemerge 1011 1026
> stop
>
> "Allan Mui" wrote:
>
> > When I try to use the language customization buffer for `lisp' all
> > values are initially either `unknown' or `uninitialized'. There is
> > an error when loading the buffer.
>
> Thanks, this was fixed a few days ago.
>
> To fix, edit the :type of lisp-indent-offset in
> emacs-lisp/lisp-mode.el to read as below and recompile the file.
>
> (defcustom lisp-indent-offset nil
>   "If non-nil, indent second line of expressions that many more
>   columns."
>   :group 'lisp
>   :type '(choice (const nil) integer))